Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

x/pkgsite: use latest stable go version to generate package definitions #45522

Open
gudvinr opened this issue Apr 12, 2021 · 2 comments
Open

x/pkgsite: use latest stable go version to generate package definitions #45522

gudvinr opened this issue Apr 12, 2021 · 2 comments

Comments

@gudvinr
Copy link

@gudvinr gudvinr commented Apr 12, 2021

What version of Go are you using (go version)?

$ go version
go version go1.16.3 linux/amd64

Does this issue reproduce with the latest release?

Yes

What did you do?

  1. Open package documentation for e.g. x/text/unicode/runenames

What did you expect to see?

  • Documentation generated using latest Go binary (1.16.3 as for 2021-04-12)
  • const UnicodeVersion = "13.0.0" in Constants section
  • tables13.0.0.go in Source Files section

Go version toggle (similar to GOOS toggle) may be an alternative too.
At least some indication of Go version on the page should be present.

What did you see instead?

  • No indication of used Go version on the page
  • const UnicodeVersion = "12.0.0" in Constants section
  • tables12.0.0.go in Source Files section
@gopherbot gopherbot added this to the Unreleased milestone Apr 12, 2021
@jba
Copy link
Contributor

@jba jba commented Apr 12, 2021

This is the result of pkg.go.dev running on Google App Engine, which is currently at go 1.15. As soon as it supports go 1.16, we'll update to that.

Loading

@jba jba added the NeedsFix label Apr 12, 2021
@jba jba removed this from the Unreleased milestone Apr 12, 2021
@jba jba added this to the pkgsite/unplanned milestone Apr 12, 2021
@gudvinr
Copy link
Author

@gudvinr gudvinr commented Apr 12, 2021

This is the result of pkg.go.dev running on Google App Engine, which is currently at go 1.15. As soon as it supports go 1.16, we'll update to that.

At least indication of that would be nice. Like "Generated using go1.15.11 on Google App Engine" or something at the bottom of the page

Loading

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Projects
None yet
Linked pull requests

Successfully merging a pull request may close this issue.

None yet
3 participants